
#include <stdio.h>
#include "Matrix.h"

int main(void)
{
	Matrix_2X2 A = { 1.f, 2.f, 3.f, 4.f };
	Matrix_2X2 B = { 4.f, 3.f, 2.f, 1.f };
	Matrix_2X2 C = { 0.f };
	Matrix_1X2 D = { 3.f, 2.f };
	Matrix_1X2 E = { 0.f };
	Matrix_2X1 F = { 2.f, 4.f };
	Matrix_2X1 G = { 0.f };

	printf("\n");
	C = Add(A, B);
	Display2X2(C);

	printf("\n\n");
	C = Subtract(A, B);
	Display2X2(C);

	printf("\n\n");
	C = Multiple(A, B);
	Display2X2(C);

	// 
	C = Inverse(A);
	printf("\n\n");
	Display2X2(C);

	//	2X2 
	printf("\n\n");
	Display2X2(Identity());

	printf("\n1X2  2X2 \n");
	E = Multiple(D, A);
	Display1X2(E);

	printf("\n2X2  2X1 \n");
	G = Multiple(A, F);
	Display2X1(G);

	printf("\n2X1  1X2 \n");
	Display2X2(Multiple(F, D));

	return 0;
}

